library verilog;
use verilog.vl_types.all;
entity FSM is
    generic(
        reset           : integer := 0;
        S1              : integer := 1;
        S2              : integer := 2;
        S3              : integer := 3;
        threshold       : integer := 80;
        base            : integer := 1800
    );
    port(
        clk             : in     vl_logic;
        rst             : in     vl_logic;
        BS_found        : in     vl_logic;
        LED1_pulsestart : out    vl_logic;
        LED2_pulsestart : out    vl_logic
    );
end FSM;
