//-----------------------------------------------------------------------------
// bs_wrapper_0_wrapper.v
//-----------------------------------------------------------------------------

module bs_wrapper_0_wrapper
  (
    clk,
    rst,
    R,
    G,
    B,
    v_sync,
    blanking,
    LED1_out,
    LED2_out,
    FSL_S_Clk,
    FSL_S_Read,
    FSL_S_Data,
    FSL_S_Control,
    FSL_S_Exists,
    FSL_M_Clk,
    FSL_M_Write,
    FSL_M_Data,
    FSL_M_Control,
    FSL_M_Full
  );
  input clk;
  input rst;
  input [7:0] R;
  input [7:0] G;
  input [7:0] B;
  input v_sync;
  input blanking;
  output LED1_out;
  output LED2_out;
  output FSL_S_Clk;
  output FSL_S_Read;
  input [0:31] FSL_S_Data;
  input FSL_S_Control;
  input FSL_S_Exists;
  output FSL_M_Clk;
  output FSL_M_Write;
  output [0:31] FSL_M_Data;
  output FSL_M_Control;
  input FSL_M_Full;

  bs_wrapper
    bs_wrapper_0 (
      .clk ( clk ),
      .rst ( rst ),
      .R ( R ),
      .G ( G ),
      .B ( B ),
      .v_sync ( v_sync ),
      .blanking ( blanking ),
      .LED1_out ( LED1_out ),
      .LED2_out ( LED2_out ),
      .FSL_S_Clk ( FSL_S_Clk ),
      .FSL_S_Read ( FSL_S_Read ),
      .FSL_S_Data ( FSL_S_Data ),
      .FSL_S_Control ( FSL_S_Control ),
      .FSL_S_Exists ( FSL_S_Exists ),
      .FSL_M_Clk ( FSL_M_Clk ),
      .FSL_M_Write ( FSL_M_Write ),
      .FSL_M_Data ( FSL_M_Data ),
      .FSL_M_Control ( FSL_M_Control ),
      .FSL_M_Full ( FSL_M_Full )
    );

endmodule

// synthesis attribute x_core_info of bs_wrapper_0_wrapper is bs_wrapper_v1_00_a;

