//-----------------------------------------------------------------------------
// video_capture_0_wrapper.v
//-----------------------------------------------------------------------------

module video_capture_0_wrapper
  (
    YCrCb_in,
    LLC_CLOCK,
    R,
    G,
    B,
    PIXEL_CLOCK,
    H_SYNC_Z,
    V_SYNC_Z,
    BLANK_Z,
    COMP_SYNC,
    RESET_VDEC1_Z,
    VDEC1_OE_Z,
    VDEC1_PWRDN_Z,
    system_dcm_locked
  );
  input [9:2] YCrCb_in;
  input LLC_CLOCK;
  output [7:0] R;
  output [7:0] G;
  output [7:0] B;
  output PIXEL_CLOCK;
  output H_SYNC_Z;
  output V_SYNC_Z;
  output BLANK_Z;
  output COMP_SYNC;
  output RESET_VDEC1_Z;
  output VDEC1_OE_Z;
  output VDEC1_PWRDN_Z;
  input system_dcm_locked;

  video_capture
    video_capture_0 (
      .YCrCb_in ( YCrCb_in ),
      .LLC_CLOCK ( LLC_CLOCK ),
      .R ( R ),
      .G ( G ),
      .B ( B ),
      .PIXEL_CLOCK ( PIXEL_CLOCK ),
      .H_SYNC_Z ( H_SYNC_Z ),
      .V_SYNC_Z ( V_SYNC_Z ),
      .BLANK_Z ( BLANK_Z ),
      .COMP_SYNC ( COMP_SYNC ),
      .RESET_VDEC1_Z ( RESET_VDEC1_Z ),
      .VDEC1_OE_Z ( VDEC1_OE_Z ),
      .VDEC1_PWRDN_Z ( VDEC1_PWRDN_Z ),
      .system_dcm_locked ( system_dcm_locked )
    );

endmodule

// synthesis attribute x_core_info of video_capture_0_wrapper is video_capture_v1_01_b;

