module bs_wrapper2(
clk,
rst,
v_sync,
blanking,
R,
G,
B,
LED1_out,
LED2_out,
);

input clk;
input rst;
input v_sync;
input blanking;
input [7:0] R,G,B;
output LED1_out;
output LED2_out;

wire clk_27,bs_flag_in;

bs_detect DETECTOR(
.clk (clk_27),
.rst (rst),
.blanking_in (blanking),
.v_sync_in (v_sync),
.bs_flag_out(bs_flag_in),
.R_in(R),
.G_in(G),
.B_in(B)
);

pulsegen PULSE1(
.clk (clk_27),
.rst (rst),
.signal_in (bs_flag_in),
.pulse_out(LED1_out)
);

pulsegen PULSE2(
.clk (clk_27),
.rst (rst),
.signal_in (bs_flag_in),
.pulse_out(LED2_out)
);

FSM FSM(
.clk (clk_27),
.rst (rst),
.signal_in (bs_flag_in),
.LED1_pulsestart (LED1_out),
.LED2_pulsestart (LED2_out)
);


IBUFG CLKBUF (
//.O  (llc_clock_i),
.O (clk_27),
.I  (clk)
);

endmodule