//-----------------------------------------------------------------------------
// bs_wrapper_0_wrapper.v
//-----------------------------------------------------------------------------

module bs_wrapper_0_wrapper
  (
    clk,
    rst,
    R,
    G,
    B,
    v_sync,
    blanking,
    LED1_out,
    LED2_out
  );
  input clk;
  input rst;
  input [7:0] R;
  input [7:0] G;
  input [7:0] B;
  input v_sync;
  input blanking;
  output LED1_out;
  output LED2_out;

  bs_wrapper
    bs_wrapper_0 (
      .clk ( clk ),
      .rst ( rst ),
      .R ( R ),
      .G ( G ),
      .B ( B ),
      .v_sync ( v_sync ),
      .blanking ( blanking ),
      .LED1_out ( LED1_out ),
      .LED2_out ( LED2_out )
    );

endmodule

// synthesis attribute x_core_info of bs_wrapper_0_wrapper is bs_wrapper_v1_00_a;

